## ncftp 3.0beta14

=== Strn/Makefile ===
#
# Strn makefile
#
PREFIX=/usr/local
MAN=/usr/local/man
SHELL=/bin/sh
.SUFFIXES: .c .o .so
LIB=libStrn.a
LIBSO=libStrn.so.1
LIBSOS=libStrn.so
CC=cc
CPPFLAGS=
#CFLAGS=-O2
CFLAGS=-O2 -W -Wall -Wimplicit -Wstrict-prototypes -Wmissing-prototypes
DEFS=-DSTRNP_ZERO_PAD=0 -DSTRN_ZERO_PAD=1

OBJS=Strncpy.o Strncat.o Strntok.o Strnpcpy.o Strnpcat.o strtokc.o version.o
SOBJS=Strncpy.so Strncat.so Strntok.so Strnpcpy.so Strnpcat.so strtokc.so version.so

all: static
	-@echo "Done making Strn."

static: $(LIB)

$(LIB): Strncpy.o Strncat.o Strntok.o Strnpcpy.o Strnpcat.o strtokc.o version.o
	ar rv $(LIB) Strncpy.o Strncat.o Strntok.o Strnpcpy.o Strnpcat.o strtokc.o version.o
	chmod 644 $(LIB) Strn.h
	-ranlib $(LIB)
	/bin/ls -l $(LIB)

.c.o:
	$(CC) $(CFLAGS) $(DEFS) $(CPPFLAGS) $< -c

.c.so:
	$(CC) -fpic $(CFLAGS) $(CPPFLAGS) $(DEFS) $*.c -c -o $*.so

dynamic: $(LIBSO)

shared: $(LIBSO)

so: $(LIBSO)

$(LIBSO): $(SOBJS)
	/bin/rm -f $(LIBSO)
	gcc -shared -Wl,-soname,$(LIBSO) -o $(LIBSO) $(SOBJS)
	/bin/ln -s $(LIBSO) $(LIBSOS)
	-@/bin/ls -l $(LIBSOS) $(LIBSO)

soinstall: $(LIBSO)
	cp $(LIBSO) $(PREFIX)/lib/$(LIBSO)
	( cd $(PREFIX)/lib ; /bin/ln -s $(LIBSO) $(LIBSOS) )
	cp Strn.h $(PREFIX)/include/Strn.h
	-chmod a+r $(PREFIX)/lib/$(LIBSO) $(PREFIX)/include/Strn.h

tester: $(LIB) tester.c
	$(CC) $(CFLAGS) tester.c -o tester -I. -L. -lStrn

clean:
	/bin/rm -f $(LIB) $(SOLIB) $(OBJS) $(SOBJS)

install:
	if test ! -d $(PREFIX)/include ; then mkdir -p $(PREFIX)/include ; fi
	if test ! -d $(PREFIX)/lib ; then mkdir -p $(PREFIX)/lib ; fi
	cp $(LIB) $(PREFIX)/lib/$(LIB)
	cp Strn.h $(PREFIX)/include/Strn.h
	-chmod 664 $(PREFIX)/include/Strn.h $(PREFIX)/lib/$(LIB)
	-cp Strn.3 $(MAN)/man3/Strn.3
	-chmod 664 $(MAN)/man3/Strn.3
	-ln $(MAN)/man3/Strn.3 $(MAN)/man3/Strncpy.3
	-ln $(MAN)/man3/Strn.3 $(MAN)/man3/Strncat.3

uninstall:
	/bin/rm -f $(PREFIX)/lib/$(LIB) $(PREFIX)/include/Strn.h

PACKAGE=Makefile Strncpy.c Strncat.c Strnpcpy.c Strnpcat.c Strntok.c strtokc.c Strn.h Strn.3 tester.c version.c

TMPDIR=/tmp
TARDIR=Strn
TARFILE=$(TARDIR).tar
TGZFILE=$(TARDIR).tgz

tarcp:
	-@mkdir -p $(TMPDIR)/TAR/$(TARDIR)
	-@chmod ga+r $(PACKAGE)
	-@chmod 755 $(TMPDIR)/TAR/$(TARDIR)
	cp -pr $(PACKAGE) $(TMPDIR)/TAR/$(TARDIR)

tar: $(PACKAGE)
	-@mkdir $(TMPDIR)/TAR
	-@mkdir $(TMPDIR)/TAR/$(TARDIR)
	-@chmod ga+r $(PACKAGE)
	-@chmod 755 $(TMPDIR)/TAR/$(TARDIR)
	cp -pr $(PACKAGE) $(TMPDIR)/TAR/$(TARDIR)
	( cd $(TMPDIR)/TAR ; tar cf $(TARFILE) ./$(TARDIR) )
	cp $(TMPDIR)/TAR/$(TARFILE) .
	-@chmod 644 $(TARFILE)
	-@rm -rf $(TMPDIR)/TAR
	-@ls -l $(TARFILE)

gz: tar
	gzip -c $(TARFILE) > $(TGZFILE)
	-@rm $(TARFILE)
	-@chmod 644 $(TGZFILE)
	-@ls -l $(TGZFILE)

Strncat.o: Strncat.c Strn.h
Strncpy.o: Strncpy.c Strn.h
Strnpcat.o: Strnpcat.c Strn.h
Strnpcpy.o: Strnpcpy.c Strn.h
Strntok.o: Strntok.c Strn.h
strtokc.o: strtokc.c Strn.h
version.o: version.c

## ncftp 3.2.5

=== debian/changelog ===
ncftp (2:3.2.5-2) unstable; urgency=medium

  * acknowledge the NMU: Thanks Jakub and Lucas! closes: #666352
  * debian/compat "raised" to compat 9
  * added reproducible patch. Thanks Reiner closes: #829249
  * fixed rmdir with trailing /. Thanks Bart closes: #352425
  * updated to Standard-Version 3.9.8. removed debian/menu
  * fixed lintian hardening-no-*
  * fixed lintian maintainer-script-without-set-e
  * added debian/watch

 -- Noël Köthe <noel@debian.org>  Fri, 01 Jul 2016 19:19:28 +0200

ncftp (2:3.2.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make build-stamp depend on configure-stamp (closes: #666352). Thanks to
    Lucas Nussbaum for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 12 May 2012 11:30:35 +0200

ncftp (2:3.2.5-1) unstable; urgency=low

  * new upstream release from 2011-01-17
    - no bookmark question by default. closes: Bug#57463
  * updated Standards-Version without changes to 3.9.2
  * fixed lintian warnings
    - description-synopsis-starts-with-article
    - debian-rules-missing-recommended-target

 -- Noèl Köthe <noel@debian.org>  Thu, 21 Jul 2011 15:50:43 +0200

ncftp (2:3.2.4-1) unstable; urgency=low

  * new upstream release 2010-04-07
    closes: Bug#579585
  * replaced libreadline5-dev build dependency with libreadline-dev
    closes: Bug#553815
  * updated Standards: Version
  * lintian warning: corrected section of menu
    (Applications/Network/File Transfer)

 -- Noèl Köthe <noel@debian.org>  Thu, 13 May 2010 19:47:38 +0200

ncftp (2:3.2.2-1) unstable; urgency=low

  * new upstream 2008-08-18
  * updated Standards Version
  * added Homepage:
  * updated description - removed ncftp2
  * update history of packaging in copyright

 -- Noèl Köthe <noel@debian.org>  Sat, 21 Feb 2009 20:13:08 +0100

ncftp (2:3.2.1-1) unstable; urgency=low

  * new upstream 2007-07-29
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Thu, 16 Aug 2007 12:49:22 +0200

ncftp (2:3.2.0-1) unstable; urgency=medium

  * new upstream 2005-08-05
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Tue, 24 Oct 2006 22:15:38 +0200

ncftp (2:3.1.9-1) unstable; urgency=low

  * new upstream 2005-04-06
    (closes: Bug#305769)
  * switched from readline4 to 5

 -- Noèl Köthe <noel@debian.org>  Thu, 26 May 2005 13:04:25 +0200

ncftp (2:3.1.8-1) unstable; urgency=low

  * new upstream from 2004-07-27
  * corrected ncftpspooler link
    (closes: Bug#234001)

 -- Noèl Köthe <noel@debian.org>  Tue, 10 Aug 2004 20:52:18 +0200

ncftp (2:3.1.7-1) unstable; urgency=low

  * new upstream from 2004-01-07
  * from upstream changelog:
    "Fixed a memory leak introduced in 3.1.6."
    (closes: Bug#188371)

 -- Noèl Köthe <noel@debian.org>  Fri, 13 Feb 2004 21:25:20 +0100

ncftp (2:3.1.6-1) unstable; urgency=low

  * new upstream from 2003-08-25
  * 3.1.6 fixes the problem with 8bit chars at the ncftp prompt
    (closes: Bug#166542)
  * removed outdated README.Debian
  * updated Standards-Version
  * included the ncftpbookmarks manpage to the binary packages
    and not only in the source (thanks Nicolas)
    (closes: Bug#208479)

 -- Noèl Köthe <noel@debian.org>  Sat,  3 Jan 2003 13:09:00 +0100

ncftp (2:3.1.5-3) unstable; urgency=low

  * changed the adv sentence to a just good bye
    (closes: Bug#199031)
  * added manpage for ncftpbookmarks from Nicolas Duboc (thanks!)
    (closes: Bug#200038)
  * added missing -e option of ncftpput manpage
    (closes: Bug#183808)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Tue, 29 Jul 2003 16:09:00 +0200

ncftp (2:3.1.5-2) unstable; urgency=low

  * corrected --sysconfdir typo
    (closes: Bug#180574)
    (closes: Bug#183473)
  * updated Standards-Version to 3.5.9

 -- Noel Koethe <noel@debian.org>  Sun,  6 Apr 2003 22:49:00 +0100

ncftp (2:3.1.5-1) unstable; urgency=low

  * new upstream from 2002-10-13
    (closes: Bug#164736)
  * I asked upstream to check the open Debian bugs and he
    helped me with the bugs which are fixed "" are the quotes
    from upstream (thanks Mike!):
  * "This has been fixed."
    (closes: Bug#63263)
  * "This doesn't satisfy our command-line argument syntax."
    (closes: Bug#117373)
  * "There is an "ls -f" method of forcing a refresh, but we
    don't plan on adding a complete flush."
    (closes: Bug#150433)
  * "I think that issue has been fixed."
    (closes: Bug#106298)
  * "The program erases the password from memory ASAP after
    opening for security reasons."
    (closes: Bug#146005)

 -- Noel Koethe <noel@debian.org>  Mon, 14 Oct 2002 21:51:00 +0200

ncftp (2:3.1.4-2) unstable; urgency=low

  * took package from Muhammad
    (closes: Bug#162055)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Mon, 23 Sep 2002 21:20:00 +0200

ncftp (2:3.1.4-1) unstable; urgency=low

  * New Upstream release.
  * Readline support using patch from Shane Wegner <shane@debian.org>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sun,  7 Jul 2002 20:51:03 +0100

ncftp (2:3.1.3-1) unstable; urgency=low

  * New Upstream release. Closes: #134049, #99090, #136178
  * Readline support using patch from Shane Wegner <shane@cm.nu>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Wed,  3 Apr 2002 13:07:08 +0100

ncftp (2:3.1.2-1) unstable; urgency=low

  * New Upstream Release.
  * Readline support using patch from Shane Wegner <shane@cm.nu>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sat,  2 Feb 2002 12:47:38 +0000

ncftp (2:3.1.1-3) unstable; urgency=low

  * Amended debian/control file to detail Readline support. 

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sat, 19 Jan 2002 15:32:52 +0000

ncftp (2:3.1.1-2) unstable; urgency=low

  * Enabled readline support using patch from Shane Wegner <shane@cm.nu>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Thu, 17 Jan 2002 14:32:43 +0000

ncftp (2:3.1.1-1) unstable; urgency=low

  * New Upstream Release.
  * Closes: #128637, #128636
  


=== debian/control ===
Source: ncftp
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper (>> 9.0.0), libncurses5-dev, libreadline-dev
Standards-Version: 3.9.8
Homepage: http://www.ncftpd.com/ncftp/

Package: ncftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: User-friendly and well-featured FTP client
 Ncftp allows a user to transfer files to and from a remote network
 site, and offers additional features that are not found in the standard
 interface, ftp. This version has Readline support enabled.

## ncftp 3.2.6

=== debian/changelog ===
ncftp (2:3.2.6-1) unstable; urgency=medium

  * new upstream release from 2016-11-27 ;)
    closes: Bug#1006421
  * updated Homepage and watch file closes: Bug#1006423
  * fix tar path in debian/rules. Thanks Simon! closes: Bug#992645
  * include architecture.mk in debian/rules to fix cross building.
    Thanks Helmut! closes: Bug#902803
  * raised to debhelper 13
  * updated to Standards-Version 4.6.1

 -- Noël Köthe <noel@debian.org>  Sun, 17 Jul 2022 20:24:42 +0200

ncftp (2:3.2.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957582)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Aug 2020 18:17:17 +0100

ncftp (2:3.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix sh/autoconfall.sh, based on a fix from Helmut Grohne.
    (Closes: #874261)

 -- Adrian Bunk <bunk@debian.org>  Sun, 24 Jun 2018 17:41:59 +0300

=== debian/control ===
Source: ncftp
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper-compat (= 13), debhelper (>> 13.0.0), libncurses5-dev, libreadline-dev
Standards-Version: 4.6.1
Homepage: https://www.ncftp.com/ncftp/
Rules-Requires-Root: no

Package: ncftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: User-friendly and well-featured FTP client
 Ncftp allows a user to transfer files to and from a remote network
 site, and offers additional features that are not found in the standard
 interface, ftp. This version has Readline support enabled.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall

config.status:
	dh_testdir
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
	# Add here commands to configure the package.
	TAR=/bin/tar \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--enable-readline

	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_prep
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/ncftp.
	$(MAKE) install prefix=`pwd`/debian/ncftp/usr mandir=`pwd`/debian/ncftp/usr/share/man
	mv `pwd`/debian/ncftp/usr/bin/ncftp `pwd`/debian/ncftp/usr/bin/ncftp3
	mv `pwd`/debian/ncftp/usr/share/man/man1/ncftp.1 `pwd`/debian/ncftp/usr/share/man/man1/ncftp3.1
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman debian/ncftpbookmarks.1
	dh_installinfo
	dh_installchangelogs doc/CHANGELOG.txt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
https://www.ncftp.com/download/ .*/ncftp-(\d.*)-src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## ncftp 3.2.7

=== debian/changelog ===
ncftp (2:3.2.7-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Detiste ]
  * New upstream version 3.2.7
  * refresh patches
  * fix FTCBFS (Closes: #1033577)
  * import on Salsa
  * reformat with debputy
  * replace obsolete libncurses5-dev with libncurses-dev

  [ Andreas Tille ]
  * Build-Depend: debhelper-compat (= 13) is sufficient, drop debhelper
  * Standards-Version: 4.7.0 (routine-update)
  * No tab in license text (routine-update)
  * Update watch file format version to 4.
  * Fix day-of-week for changelog entry 2:3.1.6-1.
  * d/rules: short dh
  * Fix FTCBFS: Pass cross tools and --host to configure.
    Closes: #1033577
  * Fix clean target
    Closes: #1047654

  [ наб ]
  * autoupdate
  * dh_autoreconf sh/autoconfall.sh
    Closes: #1066410
  * Remove __DATE__
  * Hard-code SELECT_TYPE_ARG* correctly
  * Always use [fl]stat() and struct stat verbatim
  * d/manpages: install debian/ncftpbookmarks.1 again
  * Trim out broken curses check

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 15 Feb 2025 17:50:58 +0100

=== debian/control ===
Source: ncftp
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libreadline-dev,
Standards-Version: 4.7.0
Homepage: https://www.ncftp.com/ncftp/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ncftp
Vcs-Git: https://salsa.debian.org/debian/ncftp.git
X-Style: black

Package: ncftp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: User-friendly and well-featured FTP client
 Ncftp allows a user to transfer files to and from a remote network
 site, and offers additional features that are not found in the standard
 interface, ftp. This version has Readline support enabled.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_CFLAGS_MAINT_APPEND = -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall

BINDIR=$(CURDIR)/debian/ncftp/usr/bin
MANDIR=$(CURDIR)/debian/ncftp/usr/share/man/man1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf sh/autoconfall.sh

override_dh_auto_configure:
	dh_auto_configure -- --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

override_dh_install:
	dh_install
	mv $(BINDIR)/ncftp $(BINDIR)/ncftp3
	mv $(MANDIR)/ncftp.1 $(MANDIR)/ncftp3.1

=== debian/watch ===
version=4
https://www.ncftp.com/download/ .*/ncftp-(\d.*)-src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
